Package ru.nilsoft.tm

# Class TMCommand.barcode_types

java.lang.Object
ru.nilsoft.tm.TMCommand.barcode_types

Enclosing class:
  `TMCommand`

public static final class TMCommand.barcode_types extends Object
Типы штрихкодов (смотри функцию `TMCommand.CmdReceiptBarcode(byte, byte, byte, byte, byte, java.lang.String)`)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CODABAR`
  CodaBar.
  `static final byte`
  `CODE128`
  Code128.
  `static final byte`
  `CODE39`
  Code39.
  `static final byte`
  `CODE93`
  Code93.
  `static final byte`
  `EAN13`
  EAN13.
  `static final byte`
  `EAN8`
  EAN8.
  `static final byte`
  `FIXED_CODABAR`
  CodaBar фиксированной длины.
  `static final byte`
  `FIXED_CODE39`
  Code39 фиксированной длины.
  `static final byte`
  `FIXED_EAN13`
  EAN13 фиксированной длины.
  `static final byte`
  `FIXED_EAN8`
  EAN8 фиксированной длины.
  `static final byte`
  `FIXED_ITF`
  ITF фиксированной длины.
  `static final byte`
  `FIXED_UPC_A`
  UPC-A фиксированной длины.
  `static final byte`
  `FIXED_UPC_E`
  UPC-E фиксированной длины.
  `static final byte`
  `ITF`
  ITF.
  `static final byte`
  `UPC_A`
  UPC-A.
  `static final byte`
  `UPC_E`
  UPC-E.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `barcode_types()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIXED_UPC_A

    public static final byte FIXED_UPC_A
    UPC-A фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_UPC_E

    public static final byte FIXED_UPC_E
    UPC-E фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_EAN13

    public static final byte FIXED_EAN13
    EAN13 фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_EAN8

    public static final byte FIXED_EAN8
    EAN8 фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_CODE39

    public static final byte FIXED_CODE39
    Code39 фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_ITF

    public static final byte FIXED_ITF
    ITF фиксированной длины.
    See Also:
      - Constant Field Values

  - ### FIXED_CODABAR

    public static final byte FIXED_CODABAR
    CodaBar фиксированной длины.
    See Also:
      - Constant Field Values

  - ### UPC_A

    public static final byte UPC_A
    UPC-A.
    See Also:
      - Constant Field Values

  - ### UPC_E

    public static final byte UPC_E
    UPC-E.
    See Also:
      - Constant Field Values

  - ### EAN13

    public static final byte EAN13
    EAN13.
    See Also:
      - Constant Field Values

  - ### EAN8

    public static final byte EAN8
    EAN8.
    See Also:
      - Constant Field Values

  - ### CODE39

    public static final byte CODE39
    Code39.
    See Also:
      - Constant Field Values

  - ### ITF

    public static final byte ITF
    ITF.
    See Also:
      - Constant Field Values

  - ### CODABAR

    public static final byte CODABAR
    CodaBar.
    See Also:
      - Constant Field Values

  - ### CODE93

    public static final byte CODE93
    Code93.
    See Also:
      - Constant Field Values

  - ### CODE128

    public static final byte CODE128
    Code128.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### barcode_types

    public barcode_types()